Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableInterceptor
Class IORInterceptor_3_0Helper

    java.lang.Object
      org.omg.PortableInterceptor.IORInterceptor_3_0Helper

    public abstract class IORInterceptor_3_0Helper

extends Object

org/omg/PortableInterceptor/IORInterceptor_3_0Helper.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from ../../../../src/share/classes/org/omg/PortableInterceptor/Interceptors.idl Friday, December 18, 2009 7:21:32 PM GMT-08:00

Constructor Summary
`IORInterceptor_3_0Helper()`

Method Summary
`static IORInterceptor_3_0` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, IORInterceptor_3_0 that)`
`static IORInterceptor_3_0` | `narrow(Object obj)`
`static IORInterceptor_3_0` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static IORInterceptor_3_0` | `unchecked_narrow(Object obj)`
`static void` | `write(OutputStream ostream, IORInterceptor_3_0 value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IORInterceptor_3_0Helper

    public IORInterceptor_3_0Helper()

Method Detail

### insert

    public static void insert(Any a,
                              IORInterceptor_3_0 that)

### extract

    public static IORInterceptor_3_0 extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static IORInterceptor_3_0 read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             IORInterceptor_3_0 value)

### narrow

    public static IORInterceptor_3_0 narrow(Object obj)

### unchecked_narrow

    public static IORInterceptor_3_0 unchecked_narrow(Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.